import { __awaiter } from "tslib";
import { FASTRouter } from '@microsoft/fast-router';
import { logger } from '../utils';
import { CreateEdit } from './create-edit';
import { List } from './list';
import { Preview } from './preview';
import { SelectFields } from './select-fields';
import { SelectFilters } from './select-filters';
import { Wizard } from './wizard';
var ResourceType;
(function (ResourceType) {
    ResourceType["LOCAL"] = "LOCAL";
    ResourceType["REMOTE"] = "REMOTE";
})(ResourceType || (ResourceType = {}));
function loadZeroFallback() {
    return import('@genesislcap/foundation-zero');
}
function loadZeroDesignSystem() {
    return __awaiter(this, void 0, void 0, function* () {
        let type = ResourceType.REMOTE;
        try {
            return yield import('foundationZero/ZeroDesignSystem');
        }
        catch (e) {
            type = ResourceType.LOCAL;
            return yield loadZeroFallback();
        }
        finally {
            logger.debug(`Using '${type}' version of foundationZero/ZeroDesignSystem`);
        }
    });
}
export function loadRemotes(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { registerZeroDesignSystem } = yield loadZeroDesignSystem();
        return {
            ZeroDesignSystem: registerZeroDesignSystem(),
        };
    });
}
FASTRouter;
CreateEdit;
List;
Preview;
SelectFields;
SelectFilters;
Wizard;
